package com.tykj.dev.device.user.subject.service.impl;

import com.tykj.dev.device.user.subject.dao.MgrcertDao;
import com.tykj.dev.device.user.subject.dao.UserDao;
import com.tykj.dev.device.user.subject.entity.Mgrcert;
import com.tykj.dev.device.user.subject.entity.User;
import com.tykj.dev.device.user.subject.service.MgrcertService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author zjm
 * @version 1.0.0
 * @ClassName MgrcertServiceImpl.java
 * @Description TODO
 * @createTime 2020年08月15日 17:26:00
 */
@Service
public class MgrcertServiceImpl implements MgrcertService {
    @Autowired
    MgrcertDao mgrcertDao;

    @Autowired
    UserDao userDao;

    @Override
    public Mgrcert save(Mgrcert mgrcert) {
        Mgrcert mgrcert1= findByUserId(mgrcert.getUserId());
        User user= userDao.findById(mgrcert.getUserId()).get();
        user.setTrainStatus(0);
        userDao.save(user);
        if (mgrcert1!=null){
            mgrcert.setId(mgrcert1.getId());
            return mgrcertDao.save(mgrcert);
        }else {
            mgrcert.setCertNum(1234567);
        return mgrcertDao.save(mgrcert);
        }

    }

    @Override
    public void saveAll(List<Mgrcert> mgrcerts) {
       mgrcertDao.saveAll(mgrcerts);
    }

    @Override
    public Mgrcert findByUserId(Integer userId) {

        return mgrcertDao.findByUserId(userId);
    }
}
